##
##  unrar.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         unrar
Summary:      Extracting Tool for RAR Format Files
URL:          http://www.rarlab.com/
Vendor:       Eugene Roshal
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Archiver
License:      freely distributable
Version:      7.0.4
Release:      20231123

#   list of sources
Source0:      http://www.rarlab.com/rar/unrarsrc-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc, gcc::with_cxx = yes
PreReq:       OpenPKG, openpkg >= 20160101

%description
    The unRAR utility is a program for extracting, testing and viewing the
    contents of archives created with the RAR archiver, version 1.50 and
    above.

%track
    prog unrar = {
        version   = %{version}
        url       = http://www.rarlab.com/rar_add.htm
        regex     = unrarsrc-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n unrar

%build
    cxxflags="-O2"
    defines="-DUNRAR"
    case "%{l_platform -p}" in
        ix86-*   ) defines="$defines -DLITTLE_ENDIAN" ;;
        amd64-*  ) defines="$defines -DLITTLE_ENDIAN" ;;
        sparc*-* ) defines="$defines -DBIG_ENDIAN"    ;;
    esac
    %{l_make} %{l_mflags -O} -f makefile \
        CXX="%{l_cxx}" \
        CXXFLAGS="$cxxflags" \
        DEFINES="$defines"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} install -c -s -m 755 \
        unrar $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

